<html>
<head>
  <link href="https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Work+Sans&display=swap" rel="stylesheet">
</head>
<body>
  <div class="c-flex row justify-between">
    <div class="c-flex column">
      <h1 class="name">Niklas Zantner</h1>
      <h1 class="pt-16">Full Stack Developer</h1>

      <div class="pt-32" style="display: grid; grid-template-columns: auto 1fr; column-gap: 16px; row-gap: 4px;">
        <strong>E-Mail</strong>
        <span>mail@niklaszantner.de</span>
        <strong>Website</strong>
        <span>niklaszantner.de</span>
      </div>
    </div>

    <img src="./me.jpg" style="width: 200px; border-radius: 50%; height: 200px; object-fit: cover; object-position: 100% 0;">
  </div>


  <p class="pt-32">
    Versatile Full-Stack developer with 7 years of experience in Web-Application programming and engineering.
    Self-directed with expertise in Backend-For-Frontend-Architectures and user-centric interfaces. I enjoy
    a collaborative and supportive team environment.
  </p>


  <div class="c-flex column pt-32">
    <h1>Work History</h1>
    <p>Professional work in the context of software development.</p>

    <div class="c-flex row pt-16">
      <strong class="left-column pt-4">2018.09 to Current</strong>

      <div class="c-flex column">
        <h2>Full Stack Engineer</h2>
        <span>Self-employed, Bavaria</span>
        <ul>
          <li>
            Helped a medium-sized company to start a new unified customer service system for all their different
            product departments as the Software Architect, together with a Salesforce Engineer.
          </li>
          <li>
            Creating a microservice architecture draft and PoC for a medium-sized company to integrate 
            their multitude of internal services and replacing their monolith, while keeping the functionality 
            and allowing for a gradual switch to the new system.
          </li>
          <li>Integrating external services into a microservice architecture via RabbitMQ</li>
          <li>Took over a full-stack (Spring Boot and Vue/Vuetify) project
            <ul class="pb-0">
              <li>Planning and specifying features with the customer</li>
              <li>UI design and implementation</li>
              <li>Demo and incorporating customer feedback focusing on small and incremental changes</li>
              <li>Review, releases, and deployment</li>
              <li>Dependency management</li>
            </ul>
          </li>
          <li>Migrated a clothing customization component from AngularJS to Vue.js</li>
        </ul>
      </div>
    </div>

    <div class="c-flex row pt-16">
      <strong class="left-column pt-4">2016.04 to Current</strong>

      <div class="c-flex column">
        <h2>Software Developer</h2>
        <span>ONE LOGIC GmbH, Passau</span>
        <ul>
          <li>Working on a data analysis platform, based on Vue and AngularJS</li>
          <li>Focused on a highly configurable low-code Data-visualization system</li>
          <li>On-boarded new working students and full-time developers in development processes, providing feedback and guidance on soft and hardskill level</li>
          <li>Writing E2E, unit tests and performed manual software testing to improve software quality</li>
          <li>Writing  GraphQL and REST APIs and documentation</li>
          <li>Handling multiple git repositories with submodules</li>
          <li>Using and adapting Jenkins and later Gitlab-Ci based CI/CD environments, utilizing Docker and k8s</li>
          <li>Feature specification on technical, UI/UX and customer level, implementation and user demos</li>
          <li>Contributed ideas and suggestions in team meetings, and delivered updates on deadlines, designs and enhancements</li>
          <li>Designed intuitive graphical user interfaces</li>
          <li>Revised, modularized, and updated old code bases to modern development standards</li>
          <li>Merge request review, focusing on software quality and lessons learned for the reviewee</li>
          <li>Scrum and Kanban via Jira, including retrospectives and individual feedback</li>
        </ul>
      </div>
    </div>
  </div>


  <div class="c-flex column pt-32">
    <h1>Technologies</h1>
    <p>Languages, libraries, frameworks, tools, etc.</p>

    <div class="c-flex row pt-16">
      <div class="left-column"></div>

      <div class="c-flex column grow">
        <p>Swagger, RAML</p>
        <p>JavaScript, Java</p>
        <p>Node.js, NPM</p>
        <p>Vue, AngularJS, AngularJS Material, Vuetify, Quasar</p>
        <p>NestJS, Spring Boot</p>
        <p>MongoDB, PostgreSQL, Flyway</p>
        <p>Mongoose, Helmet, GridFS, Chart.js, Highcharts, Moment.js, Lodash, Handsontable, GoJS, PDFjs</p>
        <p>Keycloak, RabbitMQ</p>
        <p>Babel, Webpack, Parcel</p>
        <p>Git (Bitbucket, Gitlab, Github)</p>
        <p>CSS, SASS</p>
        <p>Arch Linux, Debian, Ubuntu</p>
      </div>
    </div>
  </div>


  <div class="c-flex column pt-32">
    <h1>Education</h1>
    <p>University-level education.</p>

    <div class="c-flex row pt-16">
      <strong class="left-column pt-4">2017.10 to 2020.9</strong>

      <div class="c-flex column grow">
        <p>Informatics, Master of Science (Final grade: 1,9)</p>
        <p>University of Passau</p>
        <p>
          Public Research
          <ul class="py-0">
            <li>Accelerating the Whisker Test Framework (Master Thesis)</li>
            <li>Snapshot Analysis in Public Cloud Infrastructures (Master Seminar)</li>
            <li>Search-based Testing for Scratch Programs (co-authored for SSBSE 2020)</li>
          </ul>
        </p>
      </div>
    </div>

    <div class="c-flex row pt-16">
      <strong class="left-column pt-4">2012.10 to 2017.09</strong>

      <div class="c-flex column grow">
        <p>Internet Computing, Bachelor of Science (Final grade: 2,5)</p>
        <p>University of Passau</p>
      </div>
    </div>

  </div>


  <div class="c-flex column pt-32">
    <h1>Public Code</h1>
    <p>Public repositories showcasing code I wrote.</p>

    <div class="c-flex row pt-16">
      <div class="left-column"></div>

      <div class="c-flex column grow">
        <p>
          Fullstack Client (Vue and Vuetify)
          <br/>
          https://gitlab.com/nik.zantner/fullstack-client
        </p>
        <p>
          Fullstack Server (NestJS and MongoDB)
          <br/>
          https://gitlab.com/nik.zantner/fullstack-server
        </p>
        <p>
          niklaszantner.de
          <br/>
          https://gitlab.com/nik.zantner/niklaszantner.de
        </p>
        <p>
          Curriculum Vitae
          <br/>
          https://gitlab.com/nik.zantner/curriculum-vitae
        </p>
        <p>
          capture
          <br/>
          https://gitlab.com/nik.zantner/capture
        </p>
      </div>
    </div>
  </div>


  <div class="c-flex column pt-32">
    <h1>Natural Languages</h1>
    <p>Languages I feel comfortable speaking with customers and discussing technical details with colleagues.</p>

    <div class="c-flex row pt-16">
      <div class="left-column"></div>

      <div class="c-flex column grow">
        <p>English</p>
        <p>German</p>
      </div>
    </div>
  </div>

  <script type="module" src="./index.js"></script>
</body>
</html>
